SpecializationUtil.registerSpecialization("maxRpm", "maxRpm", g_currentModDirectory.."maxRpm.lua")

maxRpm_Register = {};

function maxRpm_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print("--- loading maxRPM mod ---")

		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.maxRpm", _name)) ~= nil then
								allowInsertion = false;								
							end;							
						end;
						if allowInsertion then	
							table.insert(v.specializations, SpecializationUtil.getSpecialization("maxRpm"));
						end;
						
					end;
				end;
			end;	
		end;
	end;
end;

function maxRpm_Register:deleteMap()
  
end;

function maxRpm_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function maxRpm_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function maxRpm_Register:update(dt)
	
end;

function maxRpm_Register:draw()
  
end;

addModEventListener(maxRpm_Register);